global function conDialog_Make
global function dialog_init

struct
{
    int offset = 0

    array< string > buttons_text
    array< void functionref() > buttons_callbacks
} file

void function dialog_init()
{
    file.buttons_text = [
        "Nuke AirStrike",
        "Custom Loadouts", 
        "Kraber Montage :O",
        "Next",
        "Visit Your Self",
        "No Atlas Titans",
        "No Stryders Titans",
        "Next",
        "No Ogre Titans",
        "Disable Everything >:(",
        "Next",
        "Next"
    ]

    file.buttons_callbacks = [
        Said_Nuke,
        Said_Loadout,
        Said_KraberMontage,
        enumButtons,
        Said_Visit,
        Said_No_atlas,
        Said_No_stryder,
        enumButtons,
        Said_No_ogre,
        Said_Disable,
        enumButtons,
        enumButtons
    ]
}

void function conDialog_Make() // script_ui conDialogue_Make()
{
    DialogData dialogData
    dialogData.header = "#DIALOG_MAIL_INIQUITY_CONFIRMATION" 
    dialogData.image = $"rui/menu/common/inbox_icon_new"
    dialogData.message = "#ASK_INIQUTY"
    dialogData.darkenBackground = true
    // dialogData.showSpinner = true // funny thing but overlaps with .image
    dialogData.noChoiceWithNavigateBack = true
    AddDialogButton( dialogData, file.buttons_text[file.offset+0], file.buttons_callbacks[file.offset+0] )
    AddDialogButton( dialogData, file.buttons_text[file.offset+1], file.buttons_callbacks[file.offset+1] )
    AddDialogButton( dialogData, file.buttons_text[file.offset+2], file.buttons_callbacks[file.offset+2] )
    AddDialogButton( dialogData, file.buttons_text[file.offset+3], file.buttons_callbacks[file.offset+3] )
    OpenDialog( dialogData )
}

void function enumButtons()
{
    if ( file.offset + 5 < file.buttons_text.len() )
        file.offset += 4
    else
        file.offset = 0

    Reopen()
}

void function Reopen()
{
    conDialog_Make()
}

void function Said_Nuke()
{
    ClientCommand( "inquity_dialogue_nuke" )
}

void function Said_Loadout()
{
    ClientCommand( "inquity_dialogue_loadouts" )
}

void function Said_KraberMontage()
{
    ClientCommand( "inquity_dialogue_kraber_montage" )
}

void function Said_Disable()
{
    ClientCommand( "inquity_dialogue_disable" )
    Said_Enable_Titans()
}

void function Said_Visit()
{
    ClientCommand( "thirdpersonshoulder" )
}

void function Said_No_atlas()
{
    ClientCommand( "AtlasLimit 0" )
}

void function Said_No_stryder()
{
    ClientCommand( "StryderLimit 0" )
}

void function Said_No_ogre()
{
    ClientCommand( "OgreLimit 0" )
}

void function Said_Enable_Titans()
{
    ClientCommand( "StryderLimit 99" )
    ClientCommand( "OgreLimit 99" )
    ClientCommand( "AtlasLimit 99" )
}